Revert "Undo temporary changes in all-helpers.sh"

This reverts commit b1eee4934879253539db15e996fbb7baed9e3ffc.

Signed-off-by: Elena Uziunaite <elena.uziunaite@arm.com>
diff --git a/scripts/all-helpers.sh b/scripts/all-helpers.sh
index 423f445..82609b5 100644
--- a/scripts/all-helpers.sh
+++ b/scripts/all-helpers.sh
@@ -68,9 +68,10 @@
     fi
 
     # Enable PSA-based config (necessary to use drivers)
-    if in_mbedtls_repo && in_3_6_branch; then
-        scripts/config.py set MBEDTLS_PSA_CRYPTO_CONFIG
-    fi
+    # The configuration option has been removed for 4.0. While the project and
+    # branch detection shell in shell work is not completed, just ignore the
+    # failure to set MBEDTLS_PSA_CRYPTO_CONFIG.
+    scripts/config.py set MBEDTLS_PSA_CRYPTO_CONFIG || true
 
     # Dynamic secure element support is a deprecated feature and needs to be disabled here.
     # This is done to have the same form of psa_key_attributes_s for libdriver and library.